package com.sifang.modules.supply.warehouse.vo;

import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.Valid;
import java.util.List;

public class AddAllocationOrderVo {

    private String id;

    private String warehouseId;

    private String inWarehouseId;

    private String remark;

    @Valid
    @NotEmpty(message = "materialList不能为空")
    private List<PurchaseOrderDetailVo> details;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getInWarehouseId() {
        return inWarehouseId;
    }

    public void setInWarehouseId(String inWarehouseId) {
        this.inWarehouseId = inWarehouseId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<PurchaseOrderDetailVo> getDetails() {
        return details;
    }

    public void setDetails(List<PurchaseOrderDetailVo> details) {
        this.details = details;
    }

    @Override
    public String toString() {
        return "AddAllocationOrderVo{" +
                "id='" + id + '\'' +
                ", warehouseId='" + warehouseId + '\'' +
                ", inWarehouseId='" + inWarehouseId + '\'' +
                ", remark='" + remark + '\'' +
                ", details=" + details +
                '}';
    }
}
